Package org.eclipse.swt.custom

# Class CTabFolderEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.custom.CTabFolderEvent

All Implemented Interfaces:
  `Serializable`

public class CTabFolderEvent extends TypedEvent
This event is sent when an event is generated in the CTabFolder.

See Also:
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`doit`
A flag indicating whether the operation should be allowed.
`int`
`height`
The height of the chevron button at the time of the event.
`Widget`
`item`
The tab item for the operation.
`int`
`width`
The width of the chevron button at the time of the event.
`int`
`x`
The widget-relative, x coordinate of the chevron button at the time of the event.
`int`
`y`
The widget-relative, y coordinate of the chevron button at the time of the event.

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Fields inherited from class java.util.EventObject

`source`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### item

public Widget item
The tab item for the operation.

### doit

public boolean doit
A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation. Applies to the close and showList events.

### x

public int x
The widget-relative, x coordinate of the chevron button at the time of the event. Applies to the showList event.

Since:
  3.0

### y

public int y
The widget-relative, y coordinate of the chevron button at the time of the event. Applies to the showList event.

Since:
  3.0

### width

public int width
The width of the chevron button at the time of the event. Applies to the showList event.

Since:
  3.0

### height

public int height
The height of the chevron button at the time of the event. Applies to the showList event.

Since:
  3.0

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event